 <?php
include('/home/devworks/public_html/auanews/config/auanews.config.php');

switch($_POST['step']){
case 0: $diretorio = DIR_BASE."src/assets/images/";

		//echo $_POST['edicao'].'<br>';
		if(!is_dir($diretorio)){ 
			echo "Pasta $diretorio nao existe";
		}else{
			$arquivo = isset($_FILES['arquivo']) ? $_FILES['arquivo'] : FALSE;
			for ($controle = 0; $controle < count($arquivo['name']); $controle++){
				
				$destino = $diretorio."/".$arquivo['name'][$controle];
				
				if(move_uploaded_file($arquivo['tmp_name'][$controle], $destino)){
					echo "Upload realizado com sucesso<br>";
				}else{
					echo "Erro ao realizar upload";
				}
				//echo '<br>'.$controle.'<br>';
				$miniatura_prov = file_get_contents($destino);
				$miniatura = base64_encode($miniatura_prov);
				$sql1 = $conecta->query("INSERT INTO tradutores(nome, foto) VALUES ('".$_POST['nome']."','".$miniatura."')");
				unlink($destino);
				
			}
		}
		//$sql2 = $conecta->query("UPDATE pagina_content SET texto = '".utf8_encode($_POST['home-texto1'])."' WHERE local = 'home' AND posicao = 'texto1'");
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/tradutores/'.$_POST['pag'].'"/>';
break;
case 1: $sql1 = $conecta->query("DELETE FROM tradutores WHERE id = '".$_POST['id']."'");
		echo '<meta http-equiv="refresh" content="0; URL='.URL_BASE.'controle/tradutores/'.$_POST['pag'].'"/>';
break;}